package org.bitbucket.bradleysmithllc.etlunit;

public class TestExecutionError extends Exception
{
	private final String errorId;

	public TestExecutionError(String msg)
	{
		this(msg, TestConstants.ERR_UNSPECIFIED);
	}

	public TestExecutionError(String msg, String errorId)
	{
		super(msg);

		this.errorId = errorId;
	}

	public TestExecutionError(String msg, Throwable e)
	{
		this(msg, TestConstants.ERR_UNSPECIFIED, e);
	}

	public TestExecutionError(String msg, String errorId, Throwable e)
	{
		super(msg, e);

		this.errorId = errorId;
	}

	public String getErrorId()
	{
		return errorId;
	}
}