package org.bitbucket.bradleysmithllc.etlunit.feature;

import org.bitbucket.bradleysmithllc.etlunit.ClassLocator;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;

import java.util.List;

public class FeatureClassLocatorProxy implements ClassLocator
{
	private int currentFeature = 0;
	private final FeatureProxyBase<ClassLocator> base;

	public FeatureClassLocatorProxy(List<Feature> features)
	{
		base = new FeatureProxyBase<ClassLocator>(features, new FeatureProxyBase.Getter<ClassLocator>()
		{
			@Override
			public ClassLocator get(Feature f)
			{
				return f.getLocator();
			}
		});
	}

	@Override
	public void reset()
	{
		currentFeature = 0;

		for (ClassLocator locator : base.getList())
		{
			locator.reset();
		}
	}

	@Override
	public boolean hasNext()
	{
		while (currentFeature < base.getList().size())
		{
			ClassLocator locator = base.getList().get(currentFeature);

			if (locator.hasNext())
			{
				return true;
			}

			currentFeature++;
		}

		return false;
	}

	@Override
	public ETLTestClass next()
	{
		return base.getList().get(currentFeature).next();
	}

	@Override
	public void remove()
	{
		throw new UnsupportedOperationException();
	}
}