package utsupport;

public class TestCase
{
	private final String mapping;
	private final String testName;
	private final long time;
	private String failureType;
	private String failureMessage;
	private final StringBuilder stdout = new StringBuilder();

	public TestCase(String m, String tn, long t)
	{
		mapping = m;
		testName = tn;
		time = t;
	}

	public String getMapping()
	{
		return mapping;
	}

	public String getTestName()
	{
		return testName;
	}

	public boolean isFailure()
	{
		return failureType != null;
	}

	public String getFailureMessage()
	{
		return failureMessage;
	}

	public void setFailureMessage(String failureReason)
	{
		this.failureMessage = failureReason;
	}

	public String getFailureType()
	{
		return failureType;
	}

	public void setFailureType(String failureType)
	{
		this.failureType = failureType;
	}

	public double getTime()
	{
		return (time / 1000.0D);
	}

	public StringBuilder getStdout()
	{
		return stdout;
	}

	public String getStdoutString()
	{
		return stdout.toString();
	}
}